# comment out when not a pre-release
%define prel		rc.7
%define real_prel	%(echo %{prel}|sed -e 's/\\.//')

%define rel	1

Name:		dust3d
Version:	1.0.0
Release:	%mkrel %{?prel:0.%real_prel.}%{rel}
Summary:	Dust3D 3D modeling software
Group:		Graphics/3D
License:	MIT
Url:		https://dust3d.org/
Source0:	https://github.com/huxingyi/dust3d/archive/%{version}%{?prel:-%prel}/%{name}-%{version}%{?prel:-%prel}.tar.gz

BuildRequires:	imagemagick
BuildRequires:	qttools5
BuildRequires:	boost-devel
BuildRequires:	cmake(CGAL)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5OpenGL)
BuildRequires:	cmake(Qt5Svg)
BuildRequires:	cmake(Qt5Widgets)
BuildRequires:	pkgconfig(gmp)
BuildRequires:	pkgconfig(libdrm)
BuildRequires:	pkgconfig(libglvnd)
BuildRequires:	pkgconfig(mpfr)

%description
Dust3D is a brand new 3D modeling software. It helps you
create a 3D watertight model in seconds. Use it to speed
up your character modeling in game making, 3D printing,
and so on.

%prep
%setup -qn %{name}-%{version}%{?prel:-%prel}

%build
cd application
%qmake_qt5
%make_build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 application/%{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 ci/appimage/dust3d.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mkdir -p %{buildroot}%{_metainfodir}
install -m 0644 ci/appimage/dust3d.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml

for png in 128x128 64x64 32x32 16x16; do
  mkdir -p %{buildroot}%{_iconsdir}/hicolor/${png}/apps/
  convert -geometry $png ci/appimage/dust3d.png %{buildroot}%{_iconsdir}/hicolor/${png}/apps/%{name}.png
done

%files
%doc AUTHORS CHANGELOGS CONTRIBUTORS README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_metainfodir}/%{name}.appdata.xml


%changelog
* Fri May 19 2023 daviddavid <daviddavid> 1.0.0-0.rc7.1.mga9
+ Revision: 1957316
- initial package dust3d (mga#25179)

